/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDOMCoreException_H___INT_
#define __GdomDOMCoreException_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "DOMCoreException.h"
namespace WebCore {
    gpointer toGDOM(DOMCoreException* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMDOMCoreException : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOM_CORE_EXCEPTION; }
    GDOMDOMCoreException(PassRefPtr<WebCore::DOMCoreException> impl);
    virtual ~GDOMDOMCoreException();
    WebCore::DOMCoreException* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::DOMCoreException> m_impl;
};
G_END_DECLS

#endif /* __GdomDOMCoreException_H___INT_*/
